<?xml version="1.0" encoding="utf-8"?><testsuites><testsuite name="pytest" errors="0" failures="1" skipped="1" tests="9" time="650.411" timestamp="2026-05-19T08:07:51.967919" hostname="sonic-mgmt-test"><properties><property name="topology" value="ciscovs-7nodes" /><property name="testbed" value="vms-kvm-ciscovs-7nodes" /><property name="timestamp" value="2026-05-19 08:08:25.504235" /><property name="host" value="vlab-c-01" /><property name="asic" value="cisco-ngdp-vs" /><property name="platform" value="x86_64-kvm_x86_64-r0" /><property name="hwsku" value="cisco-8101-p4-32x100-vs" /><property name="os_version" value="rib_fib.454-dirty-20260518.080146" /></properties><testcase classname="srv6.test_srv6_basic_sanity" name="test_interface_on_each_node" file="srv6/test_srv6_basic_sanity.py" line="130" time="144.353"><properties><property name="start" value="2026-05-19 08:08:12.118347" /><property name="end" value="2026-05-19 08:10:36.474366" /></properties></testcase><testcase classname="srv6.test_srv6_basic_sanity" name="test_check_bgp_neighbors" file="srv6/test_srv6_basic_sanity.py" line="148" time="10.294"><properties><property name="start" value="2026-05-19 08:10:36.477227" /><property name="end" value="2026-05-19 08:10:46.773472" /></properties></testcase><testcase classname="srv6.test_srv6_basic_sanity" name="test_check_routes" file="srv6/test_srv6_basic_sanity.py" line="185" time="36.711"><properties><property name="start" value="2026-05-19 08:10:46.783614" /><property name="end" value="2026-05-19 08:11:23.497552" /></properties></testcase><testcase classname="srv6.test_srv6_basic_sanity" name="test_traffic_check_via_trex" file="srv6/test_srv6_basic_sanity.py" line="211" time="21.310"><properties><property name="start" value="2026-05-19 08:11:23.500025" /><property name="end" value="2026-05-19 08:11:44.812282" /></properties></testcase><testcase classname="srv6.test_srv6_basic_sanity" name="test_traffic_check_via_ptf" file="srv6/test_srv6_basic_sanity.py" line="236" time="11.230"><properties><property name="start" value="2026-05-19 08:11:44.815430" /><property name="end" value="2026-05-19 08:11:56.048057" /></properties></testcase><testcase classname="srv6.test_srv6_basic_sanity" name="test_traffic_check_local_link_fail_case" file="srv6/test_srv6_basic_sanity.py" line="287" time="71.051"><properties><property name="start" value="2026-05-19 08:11:56.051249" /><property name="end" value="2026-05-19 08:13:07.107039" /></properties></testcase><testcase classname="srv6.test_srv6_basic_sanity" name="test_traffic_check_remote_igp_fail_case" file="srv6/test_srv6_basic_sanity.py" line="350" time="75.262"><properties><property name="start" value="2026-05-19 08:13:07.109419" /><property name="end" value="2026-05-19 08:14:22.373528" /></properties></testcase><testcase classname="srv6.test_srv6_basic_sanity" name="test_traffic_check_remote_bgp_fail_case" file="srv6/test_srv6_basic_sanity.py" line="430" time="258.451"><properties><property name="start" value="2026-05-19 08:14:22.376038" /><property name="end" value="2026-05-19 08:18:40.867810" /></properties><failure message="Failed: wait for PE3 BGP neighbors up">tbinfo = {'auto_recover': 'False', 'comment': 'Tests virtual cisco vs vm with 7 nodes', 'conf-name': 'vms-kvm-ciscovs-7nodes', 'duts': ['vlab-c-01'], ...}
duthosts = [&lt;MultiAsicSonicHost vlab-c-01&gt;], rand_one_dut_hostname = 'vlab-c-01'
ptfhost = &lt;tests.common.devices.ptf.PTFHost object at 0x7f41c49dc400&gt;
nbrhosts = {'P2': &lt;SonicHost VM0104&gt;, 'P3': &lt;SonicHost VM0103&gt;, 'P4': &lt;SonicHost VM0105&gt;, 'PE1': &lt;SonicHost VM0100&gt;, ...}
ptfadapter = &lt;tests.common.plugins.ptfadapter.ptfadapter.PtfTestAdapter testMethod=runTest&gt;

    def test_traffic_check_remote_bgp_fail_case(tbinfo, duthosts, rand_one_dut_hostname, ptfhost, nbrhosts, ptfadapter):
        filename = "zebra_case_3_remote_peer_down.txt"
        docker_filename = "/tmp/{}".format(filename)
        vm = "PE3"
        pe3 = nbrhosts[vm]['host']
    
        logname = "zebra_case_3_remote_peer_down_running_log.txt"
        # Recording
        recording_fwding_chain(pe3, logname, "Before starting remote PE failure case")
        #
        # Turn on frr debug
        #
        turn_on_off_frr_debug(duthosts, rand_one_dut_hostname, nbrhosts, docker_filename, vm, True)
        #
        # shut down the link between PE1 and P1, P3
        #
        p1 = duthosts[rand_one_dut_hostname]
        pe1 = nbrhosts["PE1"]['host']
        p3 = nbrhosts["P3"]['host']
    
        cmd = "sudo ifconfig Ethernet112 down"
        p1.command(cmd)
        cmd = "sudo ifconfig Ethernet4 down"
        p3.command(cmd)
        cmd = "sudo ifconfig Ethernet0 down"
        pe1.command(cmd)
        cmd = "sudo ifconfig Ethernet4 down"
        pe1.command(cmd)
        time.sleep(sleep_duration)
        # expect BGP session change on PE3
        ret1 = wait_until(
            bgp_neighbor_down_wait_time, 10, 0,
            check_bgp_neighbors_func, pe3,
            ['2064:100::1d', '2064:200::1e', 'fc08::2', 'fc06::2'])
    
        # Recording
        recording_fwding_chain(pe3, logname, "After shutting down the remote BGP peer")
        #
        # Recover back
        #
        cmd = "sudo ifconfig Ethernet112 up"
        p1.command(cmd)
        cmd = "sudo ifconfig Ethernet4 up"
        p3.command(cmd)
        cmd = "sudo ifconfig Ethernet0 up"
        pe1.command(cmd)
        cmd = "sudo ifconfig Ethernet4 up"
        pe1.command(cmd)
        time.sleep(sleep_duration)
    
    
        # Recording
        recording_fwding_chain(pe3, logname, "After recovering the remote BGP peer")
    
        #
        # Turn off frr debug and collect debug log
        #
        turn_on_off_frr_debug(duthosts, rand_one_dut_hostname, nbrhosts, docker_filename, vm, False)
        collect_frr_debugfile(duthosts, rand_one_dut_hostname, nbrhosts, docker_filename, vm)
    
        # expect BGP session change on PE3
        pytest_assert(ret1, "Remote BGP PE down")
        # expect no BGP session change on PE3
&gt;       pytest_assert(wait_until(
            bgp_neighbor_up_wait_time, 10, 0,
            check_bgp_neighbors_func, pe3,
            ['2064:100::1d', '2064:200::1e', 'fc08::2', 'fc06::2']),
            "wait for PE3 BGP neighbors up")
E       Failed: wait for PE3 BGP neighbors up

cmd        = 'sudo ifconfig Ethernet4 up'
docker_filename = '/tmp/zebra_case_3_remote_peer_down.txt'
duthosts   = [&lt;MultiAsicSonicHost vlab-c-01&gt;]
filename   = 'zebra_case_3_remote_peer_down.txt'
logname    = 'zebra_case_3_remote_peer_down_running_log.txt'
nbrhosts   = {'P2': &lt;SonicHost VM0104&gt;, 'P3': &lt;SonicHost VM0103&gt;, 'P4': &lt;SonicHost VM0105&gt;, 'PE1': &lt;SonicHost VM0100&gt;, ...}
p1         = &lt;MultiAsicSonicHost vlab-c-01&gt;
p3         = &lt;SonicHost VM0103&gt;
pe1        = &lt;SonicHost VM0100&gt;
pe3        = &lt;SonicHost VM0102&gt;
ptfadapter = &lt;tests.common.plugins.ptfadapter.ptfadapter.PtfTestAdapter testMethod=runTest&gt;
ptfhost    = &lt;tests.common.devices.ptf.PTFHost object at 0x7f41c49dc400&gt;
rand_one_dut_hostname = 'vlab-c-01'
ret1       = True
tbinfo     = {'auto_recover': 'False', 'comment': 'Tests virtual cisco vs vm with 7 nodes', 'conf-name': 'vms-kvm-ciscovs-7nodes', 'duts': ['vlab-c-01'], ...}
vm         = 'PE3'

srv6/test_srv6_basic_sanity.py:494: Failed</failure></testcase><testcase classname="srv6.test_srv6_basic_sanity" name="test_sbfd_functions" file="srv6/test_srv6_basic_sanity.py" line="499" time="1.504"><properties><property name="start" value="2026-05-19 08:18:40.870305" /><property name="end" value="2026-05-19 08:18:42.375280" /></properties><skipped type="pytest.skip" message="This test is temporarily disabled due to configuration changes.">/data/sonic-mgmt/tests/srv6/test_srv6_basic_sanity.py:500: This test is temporarily disabled due to configuration changes.</skipped></testcase></testsuite></testsuites>